Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.dao
Class CannotSerializeTransactionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.TransientDataAccessException
                              org.springframework.dao.ConcurrencyFailureException
                                  org.springframework.dao.PessimisticLockingFailureException
                                      org.springframework.dao.CannotSerializeTransactionException

All Implemented Interfaces:
  Serializable

    public class CannotSerializeTransactionException

extends PessimisticLockingFailureException

Exception thrown on failure to complete a transaction in serialized mode due to update conflicts.

Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`CannotSerializeTransactionException(String msg)` Constructor for CannotSerializeTransactionException.
`CannotSerializeTransactionException(String msg, Throwable cause)` Constructor for CannotSerializeTransactionException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotSerializeTransactionException

    public CannotSerializeTransactionException(String msg)

  Constructor for CannotSerializeTransactionException.

  Parameters:
    `msg` - the detail message

### CannotSerializeTransactionException

    public CannotSerializeTransactionException(String msg,
                                               Throwable cause)

  Constructor for CannotSerializeTransactionException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the data access API in use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.